Skip to main content
POST
/
portal
/
token
curl --request POST \ --url https://api.togai.com/portal/token \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "customerId": "acme_cust", "allAccountsAccess": true, "expiry": 60000 } '
{
  "token": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Payload to get delegate token for customer portal

Request to get delegate token for customer portal

customerId
string
required

Identifier of the customer

accountIds
string[]

Identifier of the accounts under the customer for which access is requested. Maximum of 5 account ids can be provided

allAccountsAccess
boolean

Flag to specify if access for every account under the customer is required

expiry
integer<int64>

Expiry in seconds from the time of generation. If not provided, generated token will have the expiry of the token used for requesting.

Response

OK

token
string
required